Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 453464 - S/PDIF data loops on paused trident card
Summary: S/PDIF data loops on paused trident card
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 9
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-30 19:26 UTC by Pierre Ossman
Modified: 2008-07-15 12:14 UTC (History)
0 users

Fixed In Version: 2.6.25.10-86.fc9
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-15 12:14:08 UTC


Attachments (Terms of Use)

Description Pierre Ossman 2008-06-30 19:26:05 UTC
The snd_trident driver has a bug where it improperly handles the S/PDIF output
on pause, resulting in the sound card looping the current contents of the ring
buffer.

I've fixed up a patch[1], but as it'll be in 2.6.27 at the earliest, it'll be
ages before it ends up in my normal system and actually solves my problem. So I
was hoping it could be added to the fedora kernel until it is in sync with mainline.

[1]
http://git.kernel.org/?p=linux/kernel/git/tiwai/sound-2.6.git;a=commit;h=f19a62ecba9d0963cee2b673f0ad34917b5e57ad

Comment 1 Dave Jones 2008-06-30 19:37:01 UTC
Added to CVS. will be in next update. Thanks for the pointer.

Comment 2 Fedora Update System 2008-07-08 14:28:24 UTC
kernel-2.6.25.10-86.fc9 has been submitted as an update for Fedora 9

Comment 3 Fedora Update System 2008-07-09 02:47:45 UTC
kernel-2.6.25.10-86.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kernel'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-6198

Comment 4 Fedora Update System 2008-07-15 12:14:00 UTC
kernel-2.6.25.10-86.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.